## rasterio 0.25.0

=== requirements.txt ===
affine
cligj
enum34
numpy>=1.8.0
snuggs>=1.2
setuptools

=== debian/changelog ===
rasterio (0.25.0-1) unstable; urgency=medium

  * Fix tests on i386 (Closes:  #790549)
  * Imported Upstream version 0.25.0
  * Fix patches, drop patches included upstream
  * Skip failing tests during build
  * Update copyright with AUTHORS.txt

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sun, 23 Aug 2015 21:34:03 +0200

rasterio (0.24.0-1) unstable; urgency=medium

  * Imported Upstream version 0.24.0
  * Add extra dependency to python-snuggs
  * Dependency on click via cligj
  * Rename-rio-to-rasterio (Closes:#788463)
  * Fix compatibility w/Cython 0.22(Closes: #788408)
  * Add _io.pyx changes to Cython patch
  * Also fix manpage installscript rio --> rasterio
  * Update manfile
  * Fix compatibility with numpy < 1.9
  * Bump copyright year/add myself for packaging copyright

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 30 Jun 2015 00:11:40 +0200

rasterio (0.15.1-1) unstable; urgency=medium

  * Initial upload (closes: #767027)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 25 Sep 2014 21:32:43 +0200

=== debian/control ===
Source: rasterio
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com> 
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libgdal-dev,
               gdal-bin,
               python-all,
               python-dev,
               python-setuptools,
               python-numpy,
               python-snuggs,
               cython,
               python-affine,
               python-enum34,
               python-pytest,
               python-cligj,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/rasterio.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/rasterio.git
Homepage: https://github.com/mapbox/rasterio
X-Python-Version: >=2.6

Package: python-rasterio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: Python API for using geospatial raster data with Numpy
 Rasterio reads and writes geospatial raster datasets.
 .
 Rasterio employs GDAL under the hood for file I/O and raster formatting.
 Its functions typically accept and return Numpy ndarrays. Rasterio is designed
 to make working with geospatial raster data more productive and more fun.

Package: rasterio
Architecture: all
Depends: python,
         python-rasterio (>= ${source:Version}),
         python-rasterio (<< ${source:Version}.1~),
         ${misc:Depends},
         ${python:Depends}
Description: Command line tool for investigating geospatial rasters
 Rasterio reads and writes geospatial raster datasets.
 .
 Rasterio employs GDAL under the hood for file I/O and raster formatting.
 Its functions typically accept and return Numpy ndarrays. Rasterio is designed
 to make working with geospatial raster data more productive and more fun.
 .
 This package contains a command-line line interface to rasterio "rasterio" 
 which can be used to inspect raster datasets.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rasterio
#disable tests in test_rio_overview as they only seem to work after installation
export PYBUILD_BEFORE_TEST= cp -r {dir}/tests {build_dir};rm {build_dir}/tests/test_rio_overview.py;rm {build_dir}/tests/test_rio_info.py

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_PYTEST=1


%:
	dh $@ --with python2 --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -f rasterio/*.c
	rm -f rasterio/_*.cpp
	rm -f VERSION.txt
	rm -f gdal-config.txt
	rm -f .coverage 

debian/rasterio.1:
	help2man rasterio -N -n "command line interface to rasterio">debian/rasterio.1

override_dh_install:
	dh_install
	rm -rf debian/python3-rasterio/usr/bin
	rm -rf debian/python-rasterio/usr/bin

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?v?(\d[\d\.]*)\.tar\.gz/rasterio-$1.tar.gz/" \
https://github.com/mapbox/rasterio/releases \
(?:.*/)*(?:rel|v|rasterio|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 0.31.0

=== requirements.txt ===
affine
cligj
enum34
numpy>=1.8
snuggs>=1.2
setuptools

=== debian/changelog ===
rasterio (0.31.0-2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:34:27 +0000

rasterio (0.31.0-2) unstable; urgency=medium

  * Team upload.
  * Merge changes from previous uploads.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Dec 2015 15:00:16 +0100

rasterio (0.31.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Handle other tar extensions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Dec 2015 14:31:26 +0100

rasterio (0.30.0-1) unstable; urgency=medium

  * Imported Upstream version 0.30.0

 -- Johan Van de Wauw <johan@vandewauw.be>  Wed, 18 Nov 2015 13:15:04 +0100

rasterio (0.29.0-1) unstable; urgency=medium

  * Imported Upstream version 0.29.0

 -- Johan Van de Wauw <johan@vandewauw.be>  Mon, 26 Oct 2015 11:12:38 +0100

rasterio (0.28.0-1) unstable; urgency=medium

  * Imported Upstream version 0.28.0
  * Refresh patch

 -- Johan Van de Wauw <johan@vandewauw.be>  Thu, 15 Oct 2015 10:37:57 +0200

rasterio (0.27.0-2) unstable; urgency=medium

  * add rasterio/rasterfill.cpp to d/copyright, after FTP-master comments

 -- Johan Van de Wauw <johan@vandewauw.be>  Mon, 12 Oct 2015 14:50:37 +0200

rasterio (0.27.0-1) unstable; urgency=medium

  * Imported Upstream version 0.27.0
  * Add python3 support
  * Remove patches added upstream
  * Override tests to always succeed
  * Add rule to regenerate manfile
  * Remove python3-enum34
  * Add Cython3 B/D
  * Compatibility with python 3.5
  * Base rasterio binary on Python 3 instead of Python 2
  * Update manfile/manfile generation

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 29 Sep 2015 08:47:59 +0200

rasterio (0.26.0-1) unstable; urgency=medium

  * Specify that rasterio requires cligj >0.2
  * Imported Upstream version 0.26.0
  * Add B/D to python-click-plugins
  * Update my mailaddress
  * Set section for rasterio

 -- Johan Van de Wauw <johan@vandewauw.be>  Fri, 25 Sep 2015 12:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,33 @@
 Source: rasterio
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com> 
+Uploaders: Johan Van de Wauw <johan@vandewauw.be> 
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
                libgdal-dev,
                gdal-bin,
+               cython,
+               cython3,
                python-all,
                python-dev,
                python-setuptools,
                python-numpy,
                python-snuggs,
-               cython,
                python-affine,
                python-enum34,
                python-pytest,
-               python-cligj,
+               python-cligj(>=0.2),
+               python-click-plugins,
+               python3-all,
+               python3-all-dev,
+               python3-setuptools,
+               python3-numpy,
+               python3-snuggs,
+               python3-affine,
+               python3-pytest,
+               python3-cligj(>=0.2),
+               python3-click-plugins,
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/rasterio.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/rasterio.git
@@ -28,20 +39,37 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends}
-Description: Python API for using geospatial raster data with Numpy
+Description: Python 2 API for using geospatial raster data with Numpy
  Rasterio reads and writes geospatial raster datasets.
  .
  Rasterio employs GDAL under the hood for file I/O and raster formatting.
  Its functions typically accept and return Numpy ndarrays. Rasterio is designed
  to make working with geospatial raster data more productive and more fun.
+ .
+ This package contains the Python 2 version of the library.
+
+Package: python3-rasterio
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends}
+Description: Python 3 API for using geospatial raster data with Numpy
+ Rasterio reads and writes geospatial raster datasets.
+ .
+ Rasterio employs GDAL under the hood for file I/O and raster formatting.
+ Its functions typically accept and return Numpy ndarrays. Rasterio is designed
+ to make working with geospatial raster data more productive and more fun.
+ .
+ This package contains the Python 3 version of the library.
 
 Package: rasterio
 Architecture: all
 Depends: python,
-         python-rasterio (>= ${source:Version}),
-         python-rasterio (<< ${source:Version}.1~),
+         python3-rasterio (>= ${source:Version}),
+         python3-rasterio (<< ${source:Version}.1~),
          ${misc:Depends},
          ${python:Depends}
+Section: science
 Description: Command line tool for investigating geospatial rasters
  Rasterio reads and writes geospatial raster datasets.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rasterio
export PYBUILD_BEFORE_TEST= cp -r {dir}/tests {build_dir}

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -f rasterio/*.c
	rm -f rasterio/_*.cpp
	rm -f VERSION.txt
	rm -f gdal-config.txt
	rm -f .coverage 

debian/rasterio.1:
	help2man rasterio -N -n "command line interface to rasterio">debian/rasterio.1

override_dh_install:
	dh_install
	rm -rf debian/python3-rasterio/usr/bin
	rm -rf debian/python-rasterio/usr/bin

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

debin/rasterio.1:
	help2man rasterio -L "C.UTF-8" -N -n "command line tools for reading/writing geospatial raster data" >debian/rasterio.1

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?v?(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/mapbox/rasterio/releases \
(?:.*/)*(?:rel|v|rasterio|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 0.36.0

=== requirements.txt ===
affine>=1.3.0
boto3>=1.2.4
cligj
enum34
numpy>=1.8
snuggs>=1.2
setuptools

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
GITREF := $(/bin/bash git rev-parse --abbrev-ref HEAD)

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  test    to run all doctests embedded in the documentation (if enabled)"
	@echo "  apidocs    to autogenerate API docs"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rasterio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rasterio.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rasterio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rasterio"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: test
test:
	cd .. && py.test --doctest-glob="*.rst" docs/*.rst

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: apidocs
apidocs:
	sphinx-apidoc -f -e -T -M -o . ../rasterio ../rasterio/rio ../rasterio/compat.py ../rasterio/tools ../rasterio/tool.py

.PHONY: publish
publish: html
	ghp-import _build/html -m "update docs at $(GITREF)"
	git push origin gh-pages

=== debian/changelog ===
rasterio (0.36.0-2build5) bionic; urgency=medium

  * Rebuild against new gdal-abi-2-2-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Dec 2017 22:15:14 +0100

rasterio (0.36.0-2build4) bionic; urgency=medium

  * No-change rebuild against gdal-abi-2-2-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 20:30:59 +0000

rasterio (0.36.0-2build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:35 +0000

rasterio (0.36.0-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:38:15 +0000

rasterio (0.36.0-2build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:33:58 +0200

rasterio (0.36.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix 'error' typo.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 13:27:03 +0200

rasterio (0.36.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Update watch file to handle more tag conventions in filenamemangle.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Jun 2016 22:34:39 +0200

rasterio (0.35.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 May 2016 14:29:50 +0200

rasterio (0.35.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Require at least python-affine 1.3.0.
  * Add python{,3}-boto3 to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 May 2016 09:23:39 +0200

rasterio (0.34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Apr 2016 19:54:02 +0200

rasterio (0.33.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Combine help2man targets for rasterio.1.
  * Override dh_python{2,3} to call dh_numpy{,3} too.
  * Refresh 0001-Rename-rio-to-rasterio-Closes-788463.patch.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Apr 2016 01:58:51 +0200

rasterio (0.32.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop transform-typo.patch, applied upstream.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Mar 2016 00:27:31 +0100

rasterio (0.31.0-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Add patch for 'transform' typo.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 21:14:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: rasterio
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be> 
 Section: python
 Priority: optional
@@ -14,23 +15,25 @@
                python-setuptools,
                python-numpy,
                python-snuggs,
-               python-affine,
+               python-affine (>= 1.3.0),
+               python-boto3,
                python-enum34,
                python-pytest,
-               python-cligj(>=0.2),
+               python-cligj (>= 0.2),
                python-click-plugins,
                python3-all,
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
                python3-snuggs,
-               python3-affine,
+               python3-affine (>= 1.3.0),
+               python3-boto3,
                python3-pytest,
-               python3-cligj(>=0.2),
+               python3-cligj (>= 0.2),
                python3-click-plugins,
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/rasterio.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/rasterio.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/rasterio.git
 Homepage: https://github.com/mapbox/rasterio
 X-Python-Version: >=2.6
 
@@ -64,11 +67,10 @@
 
 Package: rasterio
 Architecture: all
-Depends: python,
-         python3-rasterio (>= ${source:Version}),
+Depends: python3-rasterio (>= ${source:Version}),
          python3-rasterio (<< ${source:Version}.1~),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Section: science
 Description: Command line tool for investigating geospatial rasters
  Rasterio reads and writes geospatial raster datasets.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=rasterio
export PYBUILD_BEFORE_TEST= cp -r {dir}/tests {build_dir}

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python2,python3 --buildsystem pybuild --parallel

override_dh_clean:
	dh_clean
	rm -f rasterio/*.c
	rm -f rasterio/_*.cpp
	rm -f VERSION.txt
	rm -f gdal-config.txt
	rm -f .coverage 

override_dh_install:
	dh_install
	rm -rf debian/python3-rasterio/usr/bin
	rm -rf debian/python-rasterio/usr/bin

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_python2:
	dh_python2 -ppython-rasterio
	dh_numpy -ppython-rasterio

override_dh_python3:
	dh_python3 -ppython3-rasterio -prasterio
	dh_numpy3 -ppython3-rasterio -prasterio

debian/rasterio.1:
	help2man rasterio -N -L en_US.utf8 -n "command line tools for reading/writing geospatial raster data" >debian/rasterio.1

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/mapbox/rasterio/releases \
(?:.*/)*(?:rel|v|rasterio)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 1.0.3

=== Makefile ===
all: deps clean install test

.PHONY: docs

install:
	python setup.py build_ext
	pip install -e .[all]

deps:
	pip install -r requirements-dev.txt

clean:
	pip uninstall -y rasterio || echo "no need to uninstall"
	python setup.py clean --all
	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
	touch rasterio/*.pyx

test:
	py.test --maxfail 1 -v --cov rasterio --cov-report html --pdb tests

docs:
	cd docs && make apidocs && make html

doctest:
	py.test --doctest-modules rasterio --doctest-glob='*.rst' docs/*.rst

=== requirements.txt ===
affine>=1.3.0
attrs>=16.0.0
boto3>=1.2.4
cligj
enum34
numpy>=1.10
snuggs>=1.4.1
setuptools>=0.9.8

=== debian/changelog ===
rasterio (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Aug 2018 07:08:13 +0200

rasterio (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Jul 2018 08:36:14 +0200

rasterio (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 07:09:22 +0200

rasterio (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update required build dependencies.
  * Drop error-typo.patch, applied upstream. Refresh remaining patch.
  * Remove hypotheses examples from dist-packages.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Jul 2018 07:37:46 +0200

rasterio (0.36.0-3) unstable; urgency=medium

  * Team upload.
  * Update watchfile to also match pre-releases.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Add module import tests to autopkgtest configuration.
  * Drop ancient X-Python-Version field.
  * Include examples in rasterio package.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jul 2018 15:12:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: rasterio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Johan Van de Wauw <johan@vandewauw.be> 
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -10,32 +9,37 @@
                gdal-bin,
                cython,
                cython3,
+               python-affine (>= 1.3.0),
                python-all,
-               python-dev,
+               python-all-dev,
+               python-attr (>= 16.0.0),
+               python-boto3,
+               python-click-plugins,
+               python-cligj (>= 0.2),
+               python-enum34,
+               python-hypothesis,
+               python-numpy (>= 1.10),
+               python-packaging,
+               python-pytest,
                python-setuptools,
-               python-numpy,
-               python-snuggs,
-               python-affine (>= 1.3.0),
-               python-boto3,
-               python-enum34,
-               python-pytest,
-               python-cligj (>= 0.2),
-               python-click-plugins,
+               python-snuggs (>= 1.4.1),
+               python3-affine (>= 1.3.0),
                python3-all,
                python3-all-dev,
+               python3-attr (>= 16.0.0),
+               python3-boto3,
+               python3-click-plugins,
+               python3-cligj (>= 0.2),
+               python3-hypothesis,
+               python3-numpy (>= 1.10),
+               python3-packaging,
+               python3-pytest,
                python3-setuptools,
-               python3-numpy,
-               python3-snuggs,
-               python3-affine (>= 1.3.0),
-               python3-boto3,
-               python3-pytest,
-               python3-cligj (>= 0.2),
-               python3-click-plugins,
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/rasterio.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/rasterio.git
+               python3-snuggs (>= 1.4.1)
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
+Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/mapbox/rasterio
-X-Python-Version: >=2.6
 
 Package: python-rasterio
 Architecture: any
@@ -79,5 +83,5 @@
  Its functions typically accept and return Numpy ndarrays. Rasterio is designed
  to make working with geospatial raster data more productive and more fun.
  .
- This package contains a command-line line interface to rasterio "rasterio" 
+ This package contains a command-line line interface to rasterio "rasterio"
  which can be used to inspect raster datasets.

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

# Test module import (Python 2)
Depends: python-all, python-rasterio
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import rasterio; import rasterio.rio; import rasterio.tools; print(rasterio); print(rasterio.rio); print(rasterio.tools)" ; done

# Test module import (Python 3)
Depends: python3-all, python3-rasterio
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import rasterio; import rasterio.rio; import rasterio.tools; print(rasterio); print(rasterio.rio); print(rasterio.tools)" ; done

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/mapbox/rasterio/releases \
(?:.*/)*(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 1.0.18

=== debian/changelog ===
rasterio (1.0.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Feb 2019 07:03:16 +0100

rasterio (1.0.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Feb 2019 07:41:11 +0100

rasterio (1.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Feb 2019 15:34:38 +0100

rasterio (1.0.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Jan 2019 07:21:11 +0100

rasterio (1.0.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Jan 2019 06:59:47 +0100

rasterio (1.0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Dec 2018 09:35:11 +0100

rasterio (1.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Dec 2018 09:30:56 +0100

rasterio (1.0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Dec 2018 08:49:06 +0100

rasterio (1.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Nov 2018 07:44:56 +0100

rasterio (1.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Oct 2018 07:07:04 +0200

rasterio (1.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Oct 2018 07:06:34 +0200

rasterio (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required cligj to 0.5.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Sep 2018 07:37:43 +0200

rasterio (1.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Sep 2018 07:03:48 +0200

rasterio (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Sep 2018 07:19:02 +0200

rasterio (1.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Sep 2018 18:01:27 +0200

## rasterio 1.0.21

=== requirements.txt ===
affine>=1.3.0
attrs>=16.0.0
boto3>=1.2.4
click==7.0
cligj>=0.5
enum34; python_version<'3.4'
numpy>=1.10
snuggs>=1.4.1
setuptools>=0.9.8

=== debian/changelog ===
rasterio (1.0.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Mar 2019 06:47:05 +0100

rasterio (1.0.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Feb 2019 06:44:39 +0100

rasterio (1.0.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Feb 2019 06:52:24 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python-attr (>= 16.0.0),
                python-boto3,
                python-click-plugins,
-               python-cligj (>= 0.2),
+               python-cligj (>= 0.5),
                python-enum34,
                python-hypothesis,
                python-numpy (>= 1.10),
@@ -29,14 +29,14 @@
                python3-attr (>= 16.0.0),
                python3-boto3,
                python3-click-plugins,
-               python3-cligj (>= 0.2),
+               python3-cligj (>= 0.5),
                python3-hypothesis,
                python3-numpy (>= 1.10),
                python3-packaging,
                python3-pytest,
                python3-setuptools,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/mapbox/rasterio

=== debian/rules ===
--- 
+++ 
@@ -14,19 +14,23 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f rasterio/*.c
-	rm -f rasterio/_*.cpp
-	rm -f VERSION.txt
-	rm -f gdal-config.txt
-	rm -f .coverage 
+
+	$(RM) rasterio/*.c
+	$(RM) rasterio/_*.cpp
+	$(RM) VERSION.txt
+	$(RM) gdal-config.txt
+	$(RM) .coverage
+
+override_dh_auto_test:
+	dh_auto_test || echo "Ignoring test failures"
 
 override_dh_install:
 	dh_install
-	rm -rf debian/python3-rasterio/usr/bin
-	rm -rf debian/python-rasterio/usr/bin
 
-override_dh_auto_test:
-	dh_auto_test || echo "Ignoring test failures"
+	$(RM) -r debian/python3-rasterio/usr/bin
+	$(RM) -r debian/python-rasterio/usr/bin
+
+	$(RM) -r debian/*/usr/lib/python*/dist-packages/.hypothesis/
 
 override_dh_python2:
 	dh_python2 -ppython-rasterio

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/mapbox/rasterio/releases \
(?:.*?/archive/)*(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 1.0.25

=== debian/changelog ===
rasterio (1.0.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2019 06:06:20 +0200

rasterio (1.0.24-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 19:38:50 +0200

rasterio (1.0.24-2) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:52:22 +0200

rasterio (1.0.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update dh_install override to use --list-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Jun 2019 06:16:12 +0200

rasterio (1.0.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add patch to fix clean target.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 May 2019 06:15:05 +0200

rasterio (1.0.22-1~exp1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Mar 2019 17:09:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,7 @@
                dh-python,
                libgdal-dev,
                gdal-bin,
-               cython,
                cython3,
-               python-affine (>= 1.3.0),
-               python-all,
-               python-all-dev,
-               python-attr (>= 16.0.0),
-               python-boto3,
-               python-click-plugins,
-               python-cligj (>= 0.5),
-               python-enum34,
-               python-hypothesis,
-               python-numpy (>= 1.10),
-               python-packaging,
-               python-pytest,
-               python-setuptools,
-               python-snuggs (>= 1.4.1),
                python3-affine (>= 1.3.0),
                python3-all,
                python3-all-dev,
@@ -36,24 +21,10 @@
                python3-pytest,
                python3-setuptools,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/mapbox/rasterio
-
-Package: python-rasterio
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends}
-Description: Python 2 API for using geospatial raster data with Numpy
- Rasterio reads and writes geospatial raster datasets.
- .
- Rasterio employs GDAL under the hood for file I/O and raster formatting.
- Its functions typically accept and return Numpy ndarrays. Rasterio is designed
- to make working with geospatial raster data more productive and more fun.
- .
- This package contains the Python 2 version of the library.
 
 Package: python3-rasterio
 Architecture: any

## rasterio 1.1.2

=== debian/changelog ===
rasterio (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Name field from upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Dec 2019 05:25:17 +0100

rasterio (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Nov 2019 05:29:17 +0100

rasterio (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop clean-target.patch, applied upstream. Refresh remaining patch.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Oct 2019 06:03:39 +0200

rasterio (1.0.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Sep 2019 06:10:59 +0200

rasterio (1.0.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Sep 2019 07:03:26 +0200

rasterio (1.0.26-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Aug 2019 05:53:36 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-pytest,
                python3-setuptools,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/mapbox/rasterio

## rasterio 1.1.3

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
 	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
 	touch rasterio/*.pyx
 
+sdist:
+	python setup.py sdist
+
 test:
 	py.test --maxfail 1 -v --cov rasterio --cov-report html --pdb tests

=== requirements.txt ===
affine>=1.3.0
attrs>=16.0.0
boto3>=1.2.4
click==7.0
cligj>=0.5
enum34;python_version<"3.4"
numpy>=1.10
snuggs>=1.4.1
setuptools>=0.9.8

=== debian/changelog ===
rasterio (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update watch file to not match post releases.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Feb 2020 05:56:21 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-pytest,
                python3-setuptools,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/mapbox/rasterio

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_TEST_PYTEST=1
 
 %:
-	dh $@ --with python2,python3 --buildsystem pybuild --parallel
+	dh $@ --with python3 --buildsystem pybuild --parallel
 
 override_dh_clean:
 	dh_clean
@@ -25,16 +25,11 @@
 	dh_auto_test || echo "Ignoring test failures"
 
 override_dh_install:
-	dh_install
+	dh_install --list-missing
 
 	$(RM) -r debian/python3-rasterio/usr/bin
-	$(RM) -r debian/python-rasterio/usr/bin
 
 	$(RM) -r debian/*/usr/lib/python*/dist-packages/.hypothesis/
-
-override_dh_python2:
-	dh_python2 -ppython-rasterio
-	dh_numpy -ppython-rasterio
 
 override_dh_python3:
 	dh_python3 -ppython3-rasterio -prasterio

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/mapbox/rasterio/releases \
(?:.*?/archive/)*(?:rel|v|rasterio)?[\-\_]?(\d\S*(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 1.1.5

=== requirements.txt ===
affine~=2.3.0
attrs>=19.2.0
boto3>=1.2.4
click==7.0
click-plugins
cligj>=0.5
enum34; python_version < "3.4"
matplotlib
numpy>=1.10
snuggs~=1.4.0
setuptools>=20.0

=== debian/changelog ===
rasterio (1.1.5-1build1) groovy; urgency=medium

  * No-change rebuild against libgdal27

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jun 2020 23:18:21 +0000

rasterio (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Jun 2020 05:52:48 +0200

rasterio (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 May 2020 15:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                libgdal-dev,
                gdal-bin,

## rasterio 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 affine~=2.3.0
 attrs>=19.2.0
 boto3>=1.2.4
-click==7.0
+click~=7.1.0
 click-plugins
 cligj>=0.5
 enum34; python_version < "3.4"

=== debian/changelog ===
rasterio (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add python3-shapely to build dependencies.
  * Drop python3.8.patch, applied upstream. Refresh remaining patch.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Jan 2021 05:40:40 +0100

rasterio (1.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Oct 2020 05:58:58 +0200

rasterio (1.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Sep 2020 17:23:23 +0200

rasterio (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add patch to fix SyntaxWarning with Python 3.8.
  * Refresh patches.
  * Drop obsolete testsuite-autopkgtest-missing override.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Sep 2020 06:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,9 @@
                python3-packaging,
                python3-pytest,
                python3-setuptools,
+               python3-shapely,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/mapbox/rasterio

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_TEST_PYTEST=1
 
 %:
-	dh $@ --with python3 --buildsystem pybuild --parallel
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
 filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
